{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Run All Tests",
            "type": "dart",
            "request": "launch",
            "program": "test/socket_test.dart"
        },
        {
            "name": "Debug All Tests",
            "type": "dart",
            "request": "launch",
            "program": "test/socket_test.dart",
            "args": ["--reporter", "expanded"]
        },
        {
            "name": "Run Test (Current File)",
            "type": "dart",
            "request": "launch",
            "program": "${file}"
        }
    ]
}
